﻿using System.Data.OleDb;
using System.Drawing;

using DevExpress.Data.PivotGrid;
using DevExpress.XtraEditors;
using DevExpress.XtraPivotGrid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 연결
        /// </summary>
        private OleDbConnection connection;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.connection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=nwind.mdb");

            this.pivotGridControl.OptionsView.RowTotalsLocation = PivotRowTotalsLocation.Tree;

            this.pivotGridControl.DataSource = Order.GetOrderList(this.connection);

            this.pivotGridControl.RetrieveFields();

            PivotGridField orderIDField     = this.pivotGridControl.Fields["OrderID"    ];
            PivotGridField orderDateField   = this.pivotGridControl.Fields["OrderDate"  ];
            PivotGridField shipCountryField = this.pivotGridControl.Fields["ShipCountry"];
            PivotGridField shipCityField    = this.pivotGridControl.Fields["ShipCity"   ];

            shipCountryField.Area = PivotArea.RowArea;

            shipCityField.Area = PivotArea.RowArea;

            orderDateField.Area          = PivotArea.ColumnArea;
            orderDateField.GroupInterval = PivotGroupInterval.DateMonthYear;

            orderIDField.Area        = PivotArea.DataArea;
            orderIDField.SummaryType = PivotSummaryType.Count;

            this.pivotGridControl.Cells.MultiSelection.SetSelection
            (
                new Point[]
                {
                    new Point(0, 0),
                    new Point(0, 1),
                    new Point(2, 0)
                }
            );
        }

        #endregion
    }
}